> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update wishlist

> Update wishlist details for the authenticated user



## OpenAPI

````yaml /swagger/auth-api.json patch /api/v1/{app_id}/wishlists/{id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/wishlists/{id}:
    patch:
      tags:
        - Wishlist
      summary: Update wishlist
      description: Update wishlist details for the authenticated user
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: UUID of the wishlist
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.UpdateWishlistRequest
        description: Wishlist update data
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistResponse
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '404':
          description: Wishlist not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
      security:
        - Bearer: []
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.UpdateWishlistRequest:
      properties:
        is_default:
          type: boolean
        name:
          minLength: 1
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        item_count:
          type: integer
        name:
          type: string
        updated_at:
          type: string
        user_id:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object

````